# 妖怪ウォッチ4 ぼくらは同じ空を見上げている 2.2.0
# BID: C7DAB27F22ACD2ED
# Game is using double buffer, nvnWindowBuilderSetTextures has hardcoded values.
# So it's not possible to get stable FPS lock between 30 and 60 without changing refresh rate.

MASTER_WRITE:
  # Change main loop delay from 31.6 ms to 4.2 ms
  -
    type: asm_a64
    main_offset: 0x950C6C
    instructions: [
      [mov, x0, 0x400000]
    ]
  -
    type: asm_a64
    main_offset: 0x950C74
    instructions: [
      [mov, x0, 0x400000]
    ]
  -
    type: asm_a64
    main_offset: 0x950C94
    instructions: [
      [nop],
      [nop]
    ]
